cfsa(1)

Name
cfsa - Creates a finite state automata for a complete rewriting system.

Syntax

    cfsa [-inv] [inputfile]

Options

-inv
    automatically inserts inverse rules for the group. The default is to not do this.

inputfile
    the groups complete rewriting system that conforms to the Geometry Group Standard format, containing a list of generators and relators. The default is to read this information from standard input.

Output
The output is a file with the same name as the input file, with extension .fsa to its name. If no input file is given, output is to standard output. The output is in the same form as the output from kbeqn.

Usage
converts a rewriting system to it's FSA for use with the Homology programs. Input should conform to the Geometry Group standard format, and should contain a list of generators and relators. The output is in the same form as the output from kbeqn. It will not automatically put inverse relators in unless instructed by using the -inv option.

Example
Suppose we have a groups rewriting system in a file "grpA". We want to produce a FSA for the group, in the same format as that resulting from kbeqn. We do this by:
        cfsa grpA The file "grpA.fsa" results.

Bugs
The algorithm automatically adds inverse generators (not relators), with or without the -inv option. The program will crash if a group with a large number of generators is used. It seems to handle to at least 50 though.

See also
kbeqn(1) kbeqn2(1)

Author
This is basically a hack of Derek's code (from kbeqn ) with Jamie's modifications! The code is pretty awful, but I can't be blamed for this one as I cut and pasted other people's. Jamie P. Curmi (7/6/94)